Bug 440678 - Review Request: lua-socket - Network support for the Lua language
Review Request: lua-socket - Network support for the Lua language
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 440680
  Show dependency treegraph
 
Reported: 2008-04-04 09:55 EDT by Tim Niemueller
Modified: 2010-11-07 10:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 18:16:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2008-04-04 09:55:21 EDT
Spec URL: http://fedorapeople.org/~timn/luastuff/lua-socket.spec
SRPM URL: http://fedorapeople.org/~timn/luastuff/lua-socket-2.0.2-1.fc8.src.rpm
Description:
LuaSocket is a Lua extension library that is composed by two parts: a C core
that provides support for the TCP and UDP transport layers, and a set of Lua
modules that add support for functionality commonly needed by applications
that deal with the Internet.

Among the support modules, the most commonly used implement the SMTP, HTTP
and FTP. In addition there are modules for MIME, URL handling and LTN12.

Website: http://www.tecgraf.puc-rio.br/~diego/professional/luasocket/
Comment 1 Jason Tibbitts 2008-04-04 20:05:14 EDT
Builds OK; rpmlint says:
  lua-socket.x86_64: W: file-not-utf8 /usr/share/doc/lua-socket-2.0.2/LICENSE
Uses 0xA9 for the copyright symbol; will need a pass through iconv.

Looks like this has the same issue with compiler flags and the debuginfo package
that the other packages had.

rpm's automatic dependency calculation decides this provides core.so, which
probably isn't right.  But that's a bug in rpm, not in this package.

You might consider packaging the samples and the stuff in etc as %doc.  Up to you.

* source files match upstream:
   4fd9c775cfd98841299851e29b30176caf289370fea1ff1e00bb67c2d6842ca6  
   luasocket-2.0.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are incorrect.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
X debuginfo package is incomplete.
X rpmlint has a valid complaint.
* final provides and requires are sane:
   core.so()(64bit)
   lua-socket = 2.0.2-1.fc9
  =
   lua >= 5.1

* %check is not present; no test suite upstream.  I do not know how to test this  
  package.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 2 Tim Niemueller 2008-04-05 05:08:54 EDT
- Pass %{optflags} as CFLAGS
- Use iconv to produce proper UTF8 LICENSE file

New SRPM at http://fedorapeople.org/~timn/luastuff/lua-socket-2.0.2-2.fc8.src.rpm
Comment 3 Jason Tibbitts 2008-04-07 19:49:30 EDT
Looks good; rpmlint is now silent, the compiler flags look proper and the
debuginfo package is complete.

APPROVED
Comment 4 Tim Niemueller 2008-04-08 02:59:58 EDT
New Package CVS Request
=======================
Package Name: lua-socket
Short Description: Network support for the Lua language
Owners: timn
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-04-08 14:09:52 EDT
cvs done.
Comment 6 Tim Niemueller 2010-11-06 20:23:18 EDT
Package Change Request
======================
Package Name: lua-socket
New Branches: el5 el6
Owners: timn
Comment 7 Jason Tibbitts 2010-11-07 10:39:44 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.